package pps.core.space.service.data.space_institution_wellhead;

import lombok.Data;
import xstartup.annotation.XText;

import java.math.BigDecimal;

/**
 * 间开制度井口配置
 *
 * @author ZWT
 * @date 2023/09/05
 */
@Data
public class UpdateSpaceInstitutionWellheadInput {
    @XText("ID")
    private String id;

    @XText("间开制度ID")
    private String institutionId;

    @XText("井口ID")
    private String wellheadId;

    @XText("井号")
    private String wellNumber;

    @XText("运行类型key(字典获取)")
    private String runTypeKey;

    @XText("间开类型key(字典获取)")
    private String intervalTypeKey;

    @XText("间开描述")
    private String intervalDescribe;

    @XText("启动顺序")
    private Integer startSeq;

    @XText("开井天数")
    private Integer openWellDay;

    @XText("关井天数")
    private Integer closeWellDay;

    @XText("运行时长（小时/天）")
    private BigDecimal runDuration;
}
